Firefox 3.0 (Nightly; "Gran Paradiso") in deutsch

  • Dieses Posting wird immer als erstes aktualisiert!
    Das offizielle deutsche Sprachpaket gibt es tagesaktuell unter
    http://ftp.mozilla.org/pub/moz…0-l10n/windows-xpi/de.xpi
    Damit wird das hier besprochene inoffizielle deutsche Sprachpaket überflüssig.
    Die folgenden Postings sind damit entbehrlich, der Thread kann also ab jetzt ignoriert werden. Eine Bitte an die Administration dieses Forums: Falls der Speicherplatz knapp wird, diesen Thread hier zuerst löschen.


    Hallo alle,


    anfangs war es nicht immer ganz klar, aber seit einiger Zeit lautet die Aufteilung der einzelnen Versionszweige des Firefox folgendermaßen:


    * Trunk: die aktuellsten Entwicklerversionen des Firefox. Alle momentanen Weiterentwicklungen fließen in diesen Versionszweig ein. Deshalb kann es oft passieren, dass manche Sachen nicht wie gewünscht funktionieren. Man sollte hier keine wichtigen Daten ablegen, weil es durchaus zu unvorhergesehenen Effekten kommen kann (nicht umsonst heißt der Codename "Minefield" - Minenfeld).
    Für die kommende Version 3.6 des Firefox wird zu passender Zeit hiervon wieder ein "Branch"-Versionszweig abgespaltet.
    Momentan ist das Minefield 3.6a1pre und zu finden in mozilla-central.
    Das zugehörige deutsche Sprachpaket wird hier diskutiert.



    * Der 1.9.1 "Branch"-Versionszweig wird einmal Firefox 3.5... Er wurde vom "Trunk" vor einigen Wochen abgespaltet.
    Die Entwicklung läuft hier unabhängig vom "Trunk" und verfolgt vor allem das Ziel, die Stabilität zu verbessern und diesen Versionszweig auf das nächste Release vorzubereiten.
    Neueste Entwicklungen aus dem "Trunk" mit möglichen negativen Auswirkungen sollen diesen "Branch"-Zweig dadurch nicht beeinflussen.
    Momentan ist das 3.5b5pre und zu finden in mozilla-1.9.1.
    Das zugehörige deutsche Sprachpaket wird hier diskutiert.



    * Der 1.9.0 "Branch"-Versionszweig ist Firefox 3.0.*; hier landen alle Sicherheits- und Stabilitätsverbesserungen....
    Momentan ist das GranParadiso 3.0.12pre und zu finden in mozilla-1.9.0.


    * Der 1.8 "Branch"-Versionszweig ist Firefox 2.0.0.*; die Entwicklung wird hier bald beendet.....
    Momentan ist das Bon Echo 2.0.0.21pre und zu finden in mozilla-1.8.


    Man kann über das integrierte Update (evtl. nach vorheriger Umstellung mit Update Channel Selector) jeden Tag einen neuen Nightly Build als inkrementelles Update (d.h. Patch) für alle diese Versionszweige bekommen.


    Hier eine Anleitung, wie man auch die Nightly Builds des Versionszweiges 3.0.x ("Gran Paradiso") mit deutscher Oberfläche hinbekommt:


    Man installiert sich den aktuellen Nightly Build aus http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/JJJJ-MM-TT-SS-mozilla-1.9.0


    JJJJ-MM-TT-SS stehen hierbei für das Datum und die Stunde; man wählt also den jeweils aktuellsten Ordner.


    NEU (Testbetrieb): Keine Fummelei mehr mit zu kopierenden Dateien! Einfach das XPI-Paket herunterladen und installieren.
    Auch das automatische Update funktioniert dann ohne weitere Umstellungen :D
    Leider ist es bereits in den letzten 3.0er-Versionen des Firefox nicht mehr möglich gewesen, Einstellungen automatisch bei der Installation vornehmen zu lassen.
    Aus diesem Grund wird entweder der Quick Locale Switcher benötigt, oder man setzt von Hand die Einstellung general.useragent.locale
    auf de.


    Noch ein Hinweis: Manchmal wird an den Dateien herumgebastelt, die für den Update-Dialog (Add-Ons-Manager) zuständig sind, oder Firefox startet gar nicht erst.
    Sollte man deshalb die Funktion "Extras, Add-Ons" nicht aufrufen können, empfiehlt sich der Start von Firefox im "abgesicherten Modus" (Safe Mode).
    Das erreicht man über Start, Ausführen und folgende Kommandozeile:


    [Blockierte Grafik: http://img265.imageshack.us/img265/1268/safemodepy8.png]

    ("C:\Programme\firefox\" ist dabei je nach Installation auf dem eigenen Rechner anzupassen.)



    Dann startet Firefox mit englischer Oberfläche und abgeschalteten Erweiterungen. Die Update-Funktion steht aber über "Tools, Add-Ons" auch jetzt zur Verfügung.

    Wer mit installiertem Sprachpaket ab Version 0.1.x keine Updates für den Firefox angeboten bekommt, sollte den Quick Locale Switcher deinstallieren oder die in diesem Posting zum Download verlinkte Version installieren.

    Im Original manipuliert er
    app.update.url.override in about:config bei jedem Start von Firefox. Das ist nur nützlich für diejenigen, die das XPI-File nicht installeren und stattdessen die JAR-Datei nehmen wollen, wie im Folgenden beschrieben.


    Im Folgenden zur Sicherheit die Vorgehensweise "zu Fuß":


    WICHTIG: DAS FUNKTIONIERT NUR, WENN DAS SPRACHPAKET (XPI-FILE) NICHT INSTALLIERT IST!!!


    Benötigte Erweiterungen:
    - Quick Locale Switcher (zum Umschalten der Sprache des Firefox)
    - Nightly Tester Tools (zum Installieren von Erweiterungen, die als "inkompatibel" zur Version 3.0 gemeldet werden).


    Nach dem Download des Nightly Build (egal ob Installer oder Zip-Paket):


    - eben herunter geladenen Nightly Build installieren (Installer) oder in leeres Verzeichnis entpacken (ZIP-Paket).


    - die Nightly Tester Tools herunterladen und installieren


    - Firefox neu starten


    - Quick Locale Switcher herunterladen und installieren ('maxVersion'-Überprüfung vorher ausschalten!)


    - Firefox neu starten


    - de.jar und de.manifest herunterladen und ins Unterverzeichnis "chrome" des Firefox-Programmverzeichnisses kopieren


    - Mit Quick Locale Switcher auf de (Deutschland) umschalten


    - Firefox nochmals neu starten


    - sich an der deutschsprachigen Oberfläche freuen :)


    Und hier die Downloadlinks:

    Nightly Tester Tools


    Nightly Tester Tools Deutsch


    Quick Locale Switcher


    de.jar
    de.manifest


    Wichtiger Hinweis:
    Die Nightly-Builds werden ständig weiterentwickelt. Es kann deshalb passieren, dass das deutsche Sprachpaket mit der jeweils aktuellsten Version des Firefox Nightly nicht oder nur teilweise funktioniert. In diesem Fall: Bitte Inhalt von Fehlermeldungen oder Screenshots von fehlerhaften Anzeigen hier ins Forum posten.
    WICHTIG: Wenn möglich, auch angeben, was man machen muss, um die Fehlermeldung zu erhalten, z.B. "Menüpunkt Extras/Downloads aufrufen".


    Beste Grüße
    DAC324

    31 Mal editiert, zuletzt von DAC324 ()


  • Genau diesem Problem werde ich mich morgen annehmen, da ich diesen Teil der Toolkit-Übersetzung auch für Sunbird brauche.

  • Zitat von nightrat


    Genau diesem Problem werde ich mich morgen annehmen, da ich diesen Teil der Toolkit-Übersetzung auch für Sunbird brauche.


    In der Version vom 01.12.2006 der de.jar sind diese Änderungen aber leider noch nicht enthalten :(

  • Ich hab mir mal die Mühe gemacht und all diese Änderungen ins Sprachpaket eingebaut. Bei Interesse an meiner aktuellen de.jar bitte melden.

  • Abdulkadir arbeitet gerade an der Zusammenführung des MOZILLA_1_8_BRANCH mit dem Trunk. In den nächsten Tagen sollte dann eine aktuelle Übersetzung vorhanden sein.


    Zitat von DAC324

    In der Version vom 01.12.2006 der de.jar sind diese Änderungen aber leider noch nicht enthalten :(


    Das ist richtig, der Bug wurde ja auch erst heute morgen von mir als gefixt markiert und der Patch eingecheckt ;)

  • Ich hab Abdulkadir meine de.jar geschickt, wie es aussieht, kommt ihm diese sehr gelegen. Möglicherweise gibts bald noch 'nen Patch :)

  • Mir würde die Motivation fehlen an der nächsten Version zu arbeiten wenn bei der
    übernächsten Version sowieso alles neu geschrieben werden soll.


    Das ist aber was anderes wenn man die nächste Version fertig schreibt und dann zum Schluss
    kommt dass es kein Sinn macht mit dem alten Code noch weiter zu arbeiten und der Code
    fast komplett neu geschrieben werden muss.


    Fehlen tut einem durch die vielen Erweiterungen nichts. Nur an der Performance
    muss man was machen und da soll es ja erst ab der vierten Version was passieren.


    Ich sehe nur das als positiv:
    Die Entwickler werden bei der Entwicklung des Dreiers neue Erfahrung sammeln, kann sein dass dadurch der neue Code besser wird.

  • Hi DAC324,
    ich weiß deine Hilfe zu schätzen, aber um ehrlich zu sein, kann ich mich gerade nur wenig begeistern, den Trunk aktuell zu halten. Dass sich ständig Strings ändern liegt ja nicht daran, dass die Entwickler die Übersetzer ärgern wollen, sondern daran, dass wir momentan in der Alpha-Phase sind. Es ist ganz klar, dass momentan Sachen ausprobiert werden, die bald schon wieder obsolet sind oder komplett geändert werden. Wenn man versucht mitzuhalten, muss man auch immer wieder Arbeit umsonst machen. Alexander macht sich die Arbeit für den Thunderbird und hält ihn aktuell, ich dagegen versuche die erste Beta zu treffen und das hat bisher auch immer ganz gut geklappt. Es spricht aber natürlich nichts dagegen, ein eigenes Languagepack für die Nightlies anzubieten.


    Gruß
    Abdulkadir Topal

    Bitte keine technischen Anfragen per Mail oder PN, sie werden definitiv nicht beantwortet.

  • mist das ist ja kompliziert. Ich bleibe dann mal lieber bei der Englischen Version reicht mir auch vor erst hat jetzt schon einen Monate gereicht wird auch weiterhin reichen. :lol: Die Dateien einfügen ist ja leicht gemacht aber ich hab auch keinen Bock auf die Umstellungss** mit dem de und bei nem Update auf En-Us und so...

    Firefox Firefox 3.6.x den festen und den zum Reisen,
    Win. 7 SP1


    Der IE ist wirklich sehr wichtig! Man benötigt ihn, um sich einen Browser zu besorgen!

  • Zitat von Freak416

    mist das ist ja kompliziert. Ich bleibe dann mal lieber bei der Englischen Version reicht mir auch vor erst hat jetzt schon einen Monate gereicht wird auch weiterhin reichen. :lol: Die Dateien einfügen ist ja leicht gemacht aber ich hab auch keinen Bock auf die Umstellungss** mit dem de und bei nem Update auf En-Us und so...


    Ich hab's komplizierter erklärt als es ist :D


    Erklärung (hoffentlich einfacher) im ersten Posting dieses Threads.

    13 Mal editiert, zuletzt von DAC324 ()

  • klar ich hatte es schon verstanden so war's nicht...
    nur bei mir funzt der Quick Lokal Switcher nicht. Der will sich nicht gefügig machen. Da steht als Max. Version noch der 3.0a1 dran. Da kommt immer ein Error bei der Installation auch wenn ich QLS mit MR Tech Lokal Install gefügig mache. Und wenn ich einfach den entsprechenden Ordner aus extensinons im Profilordner füber kopiere von meinem Testprofil wo ich das ding jetzt mal (unter FF 2.0.0.1) installiert hab wird QLS einfach im Add-On-Manager nicht angezeigt.


    edit: hab noch mal nen bissle rumprobiert... jetzt hat das mit dem rüberkopieren geklappt und dann gefügig gemacht... so jetzt FF 3.0a2pre auf Deutsch :D Also wenn jetzt nen Update kommt kann es aber sein, dass ich an meiner de.jar oder so wieder rumschreiben muss gelle?

    Firefox Firefox 3.6.x den festen und den zum Reisen,
    Win. 7 SP1


    Der IE ist wirklich sehr wichtig! Man benötigt ihn, um sich einen Browser zu besorgen!

  • also bei mir kommt (fast immer, nicht immer) wenn ich auf Extras und da Add-Ons gehe mit dem eingedeutschten Fuchs ein XML-I-was fehler statt dem add-on-Manager. Aber wenn ich auf En-Us umschalte, dann funzt er. Hast du vllt noch i-was übersehen in deiner de.jar oder so?????

    Firefox Firefox 3.6.x den festen und den zum Reisen,
    Win. 7 SP1


    Der IE ist wirklich sehr wichtig! Man benötigt ihn, um sich einen Browser zu besorgen!

  • Zitat von Freak416

    also bei mir kommt (fast immer, nicht immer) wenn ich auf Extras und da Add-Ons gehe mit dem eingedeutschten Fuchs ein XML-I-was fehler statt dem add-on-Manager. Aber wenn ich auf En-Us umschalte, dann funzt er. Hast du vllt noch i-was übersehen in deiner de.jar oder so?????


    Nobody is perfect - das ist durchaus möglich.


    Bitte kopiere den kompletten Text der Fehlermeldung (er sollte sich markieren und kopieren lassen) und poste ihn hier, dann kann ich gezielt suchen. Bei mir tauchte dieser Fehler bisher nicht auf.